Page MenuHomePhabricator

Use wikibase/data-model 9.0 everywhere
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterDataModel: leverage 8.0
mediawiki/extensions/WikibaseQualityConstraints : masterSpecify compatibility with data model 9.x
mediawiki/extensions/WikibaseLexeme : masterDataModel: not compatible with 8.0 (yet)

Event Timeline

Addshore created this task.Oct 5 2018, 1:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2018, 1:55 PM
Addshore updated the task description. (Show Details)Oct 5 2018, 1:58 PM

Change 464823 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] DataModel: not compatible with 8.0 (yet)

https://gerrit.wikimedia.org/r/464823

Addshore triaged this task as Normal priority.Oct 5 2018, 2:04 PM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)

Change 464811 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] DataModel: leverage 8.0

https://gerrit.wikimedia.org/r/464811

Change 464823 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] DataModel: not compatible with 8.0 (yet)

https://gerrit.wikimedia.org/r/464823

Addshore moved this task from incoming to ready to go on the Wikidata board.Oct 8 2018, 1:02 PM
JeroenDeDauw updated the task description. (Show Details)Oct 11 2018, 1:25 PM
Addshore updated the task description. (Show Details)Oct 11 2018, 1:31 PM
Addshore updated the task description. (Show Details)
JeroenDeDauw added a subscriber: JeroenDeDauw.EditedOct 29 2018, 10:26 AM

One thing we could do is revert the change causing all the pain. EntityDocument extending ClearableEntity might be nice, though likely not worth all this effort.

Make a PR: https://github.com/wmde/WikibaseDataModel/pull/799

One thing we could do is revert the change causing all the pain. EntityDocument extending ClearableEntity might be nice, though likely not worth all this effort.
Make a PR: https://github.com/wmde/WikibaseDataModel/pull/799

I just merged this PR

Addshore updated the task description. (Show Details)Nov 6 2018, 11:24 AM
Addshore renamed this task from Use wikibase/data-model 8.0 everywhere to Use wikibase/data-model 9.0 everywhere.Nov 6 2018, 11:28 AM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)Nov 6 2018, 11:32 AM
Addshore updated the task description. (Show Details)Nov 6 2018, 1:27 PM
Addshore updated the task description. (Show Details)

Change 472024 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Specify compatibility with data model 9.x

https://gerrit.wikimedia.org/r/472024

Lucas_Werkmeister_WMDE updated the task description. (Show Details)
Addshore updated the task description. (Show Details)Nov 7 2018, 10:46 AM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)Nov 7 2018, 10:51 AM
Addshore updated the task description. (Show Details)

Change 472024 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Specify compatibility with data model 9.x

https://gerrit.wikimedia.org/r/472024

Addshore updated the task description. (Show Details)Nov 13 2018, 11:44 AM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)Nov 13 2018, 2:34 PM
Addshore set the point value for this task to 13.
Ladsgroup updated the task description. (Show Details)Nov 14 2018, 9:42 PM
Addshore updated the task description. (Show Details)Nov 15 2018, 9:15 AM

Leaving this to someone else to close.

Change 464811 abandoned by Jeroen De Dauw:
DataModel: leverage 8.0

Reason:
No longer relevant since we use 9.x

https://gerrit.wikimedia.org/r/464811

Addshore closed this task as Resolved.Dec 13 2018, 5:27 PM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptDec 13 2018, 5:27 PM